# Class JWedocApi

#### Hierarchy (View Summary)

- JBaseApi
  - JWedocApi

- Defined in jamespot-user-api/src/apis/wedoc/wedoc.ts:9

##### Index

### Constructors

constructor

### Properties

jApi
network

### Methods

createFile
createFolder
deleteFolder
folderPath
getFiles
getFolders
getTemplates
listMy
listSharedWithMe
moveFile
moveFolder
updateFile

## Constructors

### constructor

- new JWedocApi(jApi: JamespotUserApi): JWedocApi

  #### Parameters

  - jApi: JamespotUserApi

  #### Returns JWedocApi

  Inherited from JBaseApi.constructor

  - Defined in jamespot-user-api/src/apis/base.ts:8

## Properties

### jApi

jApi: JamespotUserApi

Inherited from JBaseApi.jApi

- Defined in jamespot-user-api/src/apis/base.ts:5

### network

network: Network

Inherited from JBaseApi.network

- Defined in jamespot-user-api/src/apis/base.ts:6

## Methods

### createFile

- createFile(
  payload: {
  publishTo: string;
  title: string;
  type: string;
  uriFolder?: string;
  },
  options?: { signal?: AbortSignal },
  ): Promise<
  ApiWrapper<{ article: jArticleLittle; idFile: number }, BaseMessages>,
  >

  #### Parameters

  - payload: { publishTo: string; title: string; type: string; uriFolder?: string }
  - `Optional` options: { signal?: AbortSignal }

  #### Returns Promise<ApiWrapper<{ article: jArticleLittle; idFile: number }, BaseMessages>>

  - Defined in jamespot-user-api/src/apis/wedoc/wedoc.ts:29

### createFolder

- createFolder<F extends "raw-little" | "raw-list" | "raw-view" = LIST>(
  payload: { title: string; uriFolder?: string },
  options?: { format?: F; signal?: AbortSignal },
  ): Promise<
  ApiWrapper<
  FormatArticles<F> & { _extend?: Pick<ExtendSchema, never> },
  BaseMessages,
  >,
  >

  #### Type Parameters

  - F extends "raw-little" | "raw-list" | "raw-view" = LIST

  #### Parameters

  - payload: { title: string; uriFolder?: string }
  - `Optional` options: { format?: F; signal?: AbortSignal }

  #### Returns Promise<
  ApiWrapper<
  FormatArticles<F> & { _extend?: Pick<ExtendSchema, never> },
  BaseMessages,
  >,
  >

  - Defined in jamespot-user-api/src/apis/wedoc/wedoc.ts:48

### deleteFolder

- deleteFolder(
  payload: { uriFolder: string },
  options?: { signal?: AbortSignal },
  ): Promise<ApiWrapper<boolean, BaseMessages>>

  #### Parameters

  - payload: { uriFolder: string }
  - `Optional` options: { signal?: AbortSignal }

  #### Returns Promise<ApiWrapper<boolean, BaseMessages>>

  - Defined in jamespot-user-api/src/apis/wedoc/wedoc.ts:137

### folderPath

- folderPath<F extends "raw-little" | "raw-list" | "raw-view" = LIST>(
  payload: { uriFolder?: string },
  options?: {
  format?: "raw-little" | "raw-list" | "raw-view";
  signal?: AbortSignal;
  },
  ): Promise<
  ApiWrapper<
  (FormatArticles<F> & { _extend?: Pick<ExtendSchema, never> })[],
  BaseMessages,
  >,
  >

  #### Type Parameters

  - F extends "raw-little" | "raw-list" | "raw-view" = LIST

  #### Parameters

  - payload: { uriFolder?: string }
  - `Optional` options: { format?: "raw-little" | "raw-list" | "raw-view"; signal?: AbortSignal }

  #### Returns Promise<
  ApiWrapper<
  (FormatArticles<F> & { _extend?: Pick<ExtendSchema, never> })[],
  BaseMessages,
  >,
  >

  - Defined in jamespot-user-api/src/apis/wedoc/wedoc.ts:107

### getFiles

- getFiles<
  F extends "raw-little"
  | "raw-list"
  | "raw-view" = LIST,
  E extends FileFormatsExtension = [],
  >(
  payload: {
  filters?: Filters;
  limit?: number;
  orders: Orders;
  page?: number;
  query?: string;
  },
  options?: { extensions?: E; format?: F; signal?: AbortSignal },
  ): Promise<ApiWrapper<PagingResults<FileReturn<F, E>>, BaseMessages>>

  #### Type Parameters

  - F extends "raw-little" | "raw-list" | "raw-view" = LIST
  - E extends FileFormatsExtension = []

  #### Parameters

  - payload: {
    filters?: Filters;
    limit?: number;
    orders: Orders;
    page?: number;
    query?: string;
    }
  - `Optional` options: { extensions?: E; format?: F; signal?: AbortSignal }

  #### Returns Promise<ApiWrapper<PagingResults<FileReturn<F, E>>, BaseMessages>>

  - Defined in jamespot-user-api/src/apis/wedoc/wedoc.ts:10

### getFolders

- getFolders<
  F extends "raw-little"
  | "raw-list"
  | "raw-view" = LITTLE,
  E extends ArticleFormatsExtension = [],
  >(
  payload: { limit?: number; page?: number; uriFolder?: string },
  options?: { extensions?: E; format?: F; signal?: AbortSignal },
  ): Promise<
  ApiWrapper<PagingResults<ArticleReturn<F, never, E>>, BaseMessages>,
  >

  #### Type Parameters

  - F extends "raw-little" | "raw-list" | "raw-view" = LITTLE
  - E extends ArticleFormatsExtension = []

  #### Parameters

  - payload: { limit?: number; page?: number; uriFolder?: string }
  - `Optional` options: { extensions?: E; format?: F; signal?: AbortSignal }

  #### Returns Promise<ApiWrapper<PagingResults<ArticleReturn<F, never, E>>, BaseMessages>>

  - Defined in jamespot-user-api/src/apis/wedoc/wedoc.ts:114

### getTemplates

- getTemplates(
  options?: { signal?: AbortSignal },
  ): Promise<
  ApiWrapper<
  {
  color: string;
  description: string;
  extension: string;
  icon: string;
  label: string;
  }[],
  BaseMessages,
  >,
  >

  #### Parameters

  - `Optional` options: { signal?: AbortSignal }

  #### Returns Promise<
  ApiWrapper<
  {
  color: string;
  description: string;
  extension: string;
  icon: string;
  label: string;
  }[],
  BaseMessages,
  >,
  >

  - Defined in jamespot-user-api/src/apis/wedoc/wedoc.ts:25

### listMy

- listMy<
  F extends "raw-little"
  | "raw-list"
  | "raw-view" = LIST,
  E extends FileFormatsExtension = [],
  >(
  payload: {
  limit?: number;
  page?: number;
  query?: string;
  uriFolder?: string;
  },
  options?: { extensions?: E; format?: F; signal?: AbortSignal },
  ): Promise<
  ApiWrapper<
  PagingResults<
  | (FormatArticles<F> & { _extend?: Pick<ExtendSchema, never>; })
  | FileReturn<F, E>,
  >,
  BaseMessages,
  >,
  >

  #### Type Parameters

  - F extends "raw-little" | "raw-list" | "raw-view" = LIST
  - E extends FileFormatsExtension = []

  #### Parameters

  - payload: { limit?: number; page?: number; query?: string; uriFolder?: string }
  - `Optional` options: { extensions?: E; format?: F; signal?: AbortSignal }

  #### Returns Promise<
  ApiWrapper<
  PagingResults<
  | (FormatArticles<F> & { _extend?: Pick<ExtendSchema, never>; })
  | FileReturn<F, E>,
  >,
  BaseMessages,
  >,
  >

  - Defined in jamespot-user-api/src/apis/wedoc/wedoc.ts:73

### listSharedWithMe

- listSharedWithMe<
  F extends "raw-little"
  | "raw-list"
  | "raw-view" = LIST,
  E extends FileFormatsExtension = [],
  >(
  payload: { limit?: number; page?: number; query?: string },
  options?: { extensions?: E; format?: F; signal?: AbortSignal },
  ): Promise<
  ApiWrapper<
  PagingResults<
  | (FormatArticles<F> & { _extend?: Pick<ExtendSchema, never>; })
  | FileReturn<F, E>,
  >,
  BaseMessages,
  >,
  >

  #### Type Parameters

  - F extends "raw-little" | "raw-list" | "raw-view" = LIST
  - E extends FileFormatsExtension = []

  #### Parameters

  - payload: { limit?: number; page?: number; query?: string }
  - `Optional` options: { extensions?: E; format?: F; signal?: AbortSignal }

  #### Returns Promise<
  ApiWrapper<
  PagingResults<
  | (FormatArticles<F> & { _extend?: Pick<ExtendSchema, never>; })
  | FileReturn<F, E>,
  >,
  BaseMessages,
  >,
  >

  - Defined in jamespot-user-api/src/apis/wedoc/wedoc.ts:90

### moveFile

- moveFile(
  payload: { uriFile: string; uriFolderTo: string | null },
  options?: { signal?: AbortSignal },
  ): Promise<ApiWrapper<boolean, BaseMessages>>

  #### Parameters

  - payload: { uriFile: string; uriFolderTo: string | null }
  - `Optional` options: { signal?: AbortSignal }

  #### Returns Promise<ApiWrapper<boolean, BaseMessages>>

  - Defined in jamespot-user-api/src/apis/wedoc/wedoc.ts:131

### moveFolder

- moveFolder(
  payload: { uriFolder: string; uriFolderTo: string | null },
  options?: { signal?: AbortSignal },
  ): Promise<ApiWrapper<boolean, BaseMessages>>

  #### Parameters

  - payload: { uriFolder: string; uriFolderTo: string | null }
  - `Optional` options: { signal?: AbortSignal }

  #### Returns Promise<ApiWrapper<boolean, BaseMessages>>

  - Defined in jamespot-user-api/src/apis/wedoc/wedoc.ts:144

### updateFile

- updateFile(
  payload: { idFile: number; title: string },
  options?: { signal?: AbortSignal },
  ): Promise<ApiWrapper<boolean, BaseMessages>>

  #### Parameters

  - payload: { idFile: number; title: string }
  - `Optional` options: { signal?: AbortSignal }

  #### Returns Promise<ApiWrapper<boolean, BaseMessages>>

  - Defined in jamespot-user-api/src/apis/wedoc/wedoc.ts:66